pub enum DateTimeFormat {
    DayMonth,
    DayMonthHourMinute,
    DayMonthYear,
    DayMonthYearHourMinute,
    YearMonthDayTHourMinute,
    HourMinute
}

impl From<DateTimeFormat> for &'static str {
    fn from(value: DateTimeFormat) -> Self {
        match value {
            DateTimeFormat::DayMonth => "%d.%m.",
            DateTimeFormat::DayMonthHourMinute => "%d.%m. %H:%M",
            DateTimeFormat::DayMonthYear => "%d.%m.%Y",
            DateTimeFormat::DayMonthYearHourMinute => "%d.%m.%Y %H:%M",
            DateTimeFormat::YearMonthDayTHourMinute => "%Y-%m-%dT%H:%M",
            DateTimeFormat::HourMinute => "%H:%M" // equivalent to %R,
        }
    }
}
